#!/bin/sh
# This tries to remove anything installed by this package
#--------------------------------------------------------

. .config

LIB_LOCATION="/usr/local/lib"
INCLUDE_LOCATION="/usr/local/include/dmx"
BIN_LOCATION="/usr/local/bin"
CONFIGFILE=/etc/dmxplugin.conf
OLDCONFIGFILE=/etc/dmxplugin.conf.old

rm $PLUGIN_LOCATION/*_plugin.so
rmdir $PLUGIN_LOCATION
rm $LIB_LOCATION/libdmxplugin.a

for i in plugin.hh  plugin.h
do
  rm $INCLUDE_LOCATION/$i
done
rmdir $INCLUDE_LOCATION
rm $CONFIGFILE $OLDCONFIGFILE

for i in dmxconsole dmxd dmxdump lsdmxplugins dmxpluginforward dmxplugininfo
do
  rm $BIN_LOCATION/$i
done

# EOF
